@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Edu+AU+VIC+WA+NT+Pre:wght@400..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    scroll-behavior: smooth;
}
body{
    overflow-x: hidden;/* hide overflow in x axis */
}
marquee{
    background-color: #193B61;
    padding: 10px;
    color: white;
    font-size: 1rem;
    
}
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0px 240px;
    position: fixed;
    z-index: 1000;
    background: transparent;
}
.logo img{
    width: 150px;
}
.logo span{
    color: #Ffd700;
}
.logo i{
    font-weight: 800;
}
.nav-logo{
    display: none;
}
.arrow{
    color: #193B61;
    font-size: 1.3rem;
}
ul .nav-list{
    border: 1px solid #193B61;
    padding: 0 5px;
    border-top-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
header ul li{
    display: inline-block;
    list-style: none;
    margin: 0px 30px;  
}
header ul li:last-child{
    margin-right: 0;
}
header ul li a{
    text-decoration: none;
    padding: 22px 0;
    display: inline-block;
    color: #193B61;
    transition: all ease 0.3s;
}

header ul .submenu{
    position: absolute;
    width: 200px;
    background-color: #f2f2f2;
    margin-top: -50px;
    border-radius: 10px;
    transition: all ease 0.5s;
    opacity: 0;
    z-index: -999;
}
header ul li:hover .submenu{
    z-index: 99;
    opacity: 1;
    margin-top: 0;
}
header ul .submenu li{
    margin: 0;
    width: 100%;
}
header ul .submenu li a{
    padding: 15px 20px;
    display: inline-block;
    width: 100%;
}

/* --------------------menu and close----------------- */

.menu-icon,
.close-icon{
    font-size: 2rem;
    cursor: pointer;
    display: none;
    position: absolute;
    top: 80px;
    right: 20px;
    z-index: 100;  /* * ensures it stayes above other elements */
    color: #193B61;

}
.close-icon{
    display: none;  /* * Hidden until the menu is open */
}
.social{
    display: none;
}

/* ------------------Slider------------------------ */

.slider{
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
   
}
.slides{
    display: flex;
    width: 400%;
    height: 100%; 
    transition: margin-left 0.3s ease;
}
.slide{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}
.slider-content{
    position: relative;
    top: 100px;
    transform: translateY(-50%);
    color: #193B61;
    padding: 20px;
    border-radius: 8px;
    text-align: left;
    max-width: 400px;
}
.slider-content h1{
    font-size: 2.3rem;
    margin-bottom: 10px;
    font-weight: bold;
}
.slider-content p{
    font-size: 1.1rem;
    line-height: 1.5;
    margin-bottom: 15px;
}
.slider-content a{
    padding: 10px 20px;
    background-color: #193B61;
    border: none;
    border-radius: 5px;
    color: #fff;
    font-weight: bold;
    text-decoration: none;
}
.slider-content a:hover{
    background-color: #F2F2F2;
    border: 1px solid black;
    color: #193B61;

}
.slide img{
    flex: 1;
    height: 100%;
    width: 70%;
    object-fit: cover;
    margin-top: 50px;
}
.images input{
    display: none;
}
.dots{
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
}
.dots label{
    height: 15px;
    width: 15px;
    border-radius: 50%;
    border: 2px solid #000;
    cursor: pointer;
    background: transparent;
    transition: all 0.15s ease;
    margin: 5px;
}
.dots label:hover {
    background: #193B61;
}

#image1:checked ~ .slides{
    margin-left: 0;
}
#image2:checked ~ .slides{
    margin-left: -100%;
}
#image3:checked ~ .slides{
    margin-left: -200%;
}
#image4:checked ~ .slides{
    margin-left: -300%;
}

/* ------------------------card---------------------- */

.container{
    margin-inline: 1.5rem;
    padding-block: 5rem;
}
.container h1{
    text-align: center;
    padding-bottom: 50px;
    font-weight:500;
    font-size: 2.4rem;
    font-family: "Edu AU VIC WA NT Pre", serif ;

}
.card-container{
    display: grid;
    grid-template-columns: repeat(3, 450px);
    justify-content: center;
    gap: 1.5rem;
}
.card-article{
    position: relative;
    background-color: #F2F2F2;
    border: 2px solid #000;
    padding: 3rem 1.5rem 1.5rem;
    display: grid;
    row-gap: 1rem;
    overflow: hidden;
    border-top-right-radius: 30px;
    border-bottom-left-radius: 30px;
}
.card-image{
    width: 350px;
    height: 350px;
    justify-self: center;
    transition: transform 0.4s;
    background-size: cover;
}
.card-data{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.card-title{
    font-weight: 400;
}
.card-data p{
    color: #000;
    font-size: 1.3rem;
}
.card-data a{
    text-decoration: none;
    background-color: #F2F2F2;
    color: #000;
    font-size: 1.2rem;
}

/* ----------------------------About-------------------- */

.stats{
    background-color: #20AAB4;
    width: 100%;
    color: #fff;
    text-align: center;
    padding: 50px 20px;
}
.stats h2{
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 10px;
    font-family: "Edu AU VIC WA NT Pre", serif;
}
.stats h2 span{
    color: #193B61;
    font-family: "Edu AU VIC WA NT Pre", serif;
}
.stats p{
    font-size: 1.8rem;
    margin-bottom: 30px;
    font-family: "Edu AU VIC WA NT Pre", serif;
}
.stats-grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}
.stats-item{
    text-align: center;
}
.stats-item img{
    width: 50px;
    margin-bottom: 15px;
    color: #fff;
}
.stats-item h3{
    font-size: 1.5rem;
    font-weight: bold;
    margin: 10px 0px;
}
.stats-item p{
    font-size: 1rem;
    line-height: 1.5;
}
.farmer{
    margin-top: -25%;
}
.farmer img{
    width: 200px;
    height: 200px;
}   

/* --------------------------Business Overview----------- */

.business-overview{
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #f4f4f4;
    padding: 40px 0;
}
.stats-card{
    text-align: center;
    flex: 1;
    padding: 20px;
    margin: 0px 10px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.stats-card img{
    width: 50px;
    height: 50px;
    margin-bottom: 10px;
}
.stats-card h2{
    font-size: 32px;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}
.stats-card p{
    font-size: 16px;
    color: #555;
}

/* ------------------------product-category---------- */

.product-categories{
    padding: 50px 20px;
    text-align: center;
    background-color: #f9f9f9;
}
.product-categories h2{
    font-size: 2.5rem;
    margin-bottom: 10px;
    color: #193B61;
    font-family: "Edu AU VIC WA NT Pre", serif ;
}
.product-categories p{
    font-size: 1rem;
    color: #666;
    margin-bottom: 40px;
}
.categories-container{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    width:100%;
    margin: 0 auto;
}
.category-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
    border-radius: 20px;
    transition: transform 0.3s ease;
    box-sizing: border-box;
}

.category-item img{
    height: 150px;
    margin-bottom: 15px;
}
.category-item h3 a{
    font-size: 1.2rem;
    color: #000;
    text-decoration: none;
    border: 1px solid #00093c;
    padding: 5px 20px;
    border-radius: 5px;
}
.category-item h3 a:hover{
    background-color: #193B61;
    color: #fff;
}

/* -----------------------Process------------------ */
.time h2{
    font-size: 2.5rem;
    text-align: center;
    color: #193B61;
    margin-top: 50px;
    font-family: "Edu AU VIC WA NT Pre", serif ;
}
.time p{
    font-size: 1rem;
    color: #666;
    margin-bottom: 40px;
    text-align: center;
}
.timeline{
    position: relative;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3 ,550px);
    justify-content: center;
    margin: 10px auto;
    gap: 0;
    background-color: #f2f2f2;
}
.timeline .container{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    border-radius: 6px;
    height: auto;
    margin: 10px;
    padding: 10px 0px;
    animation: movedown 1s linear forwards;
    opacity: 0;
   
}
@keyframes movedown{
    0%{
        opacity: 1;
        transform: translateY(-30px);
    }
    100%{
        opacity: 1;
        transform: translateY(0px);
    }
}

.timeline .container:nth-child(2){
    animation-delay: 1s;
}
.timeline .container:nth-child(3){
    animation-delay: 2s;
}
.timeline .container:nth-child(4){
    animation-delay: 3s;
}
.timeline .container:nth-child(5){
    animation-delay: 4s;
}
.timeline .container:nth-child(6){
    animation-delay: 5s;
}
.text-box{
    padding: 20px 30px;
    background: #fff;
    position: relative;
    border-radius: 6px;
    font-size: 15px;
    box-sizing: border-box;
}
@keyframes moveline{
    0%{
        height: 0;
    }
    100%{
        height: 100%;
    }
}
.text-box h2{
    font-weight: 600;
}
.text-box img{
    width: 100%;
    height: 350px;
    border-radius: 16px;
}

/* ----------------Facilitys------------------ */

.facility-section{
    padding: 60px 20px;
    text-align: center;
    background-color: #F2F2F2;
}
.facility-section h2{
    font-size: 2rem;
    margin-bottom: 10px;
    font-family: "Edu AU VIC WA NT Pre", serif ;
    color: #193B61;
}
.facility-section .subtitle{
    font-size: 1.2rem;
    color: #666;
    margin-bottom: 30px;
}
.facility-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
    gap: 20px;
    justify-items: center;
    padding: 20px;
}
.facility-item img{
    width: 100%;
    height: 400px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}
.facility-item img:hover{
    transform: scale(1.05);
}

/* --------------Footer------------------- */

footer{
    width: 100%;
    position: absolute;
    background: linear-gradient(to right, #00093c, #0e2540);
    color: #fff;
    padding: 100px 0 30px;
    border-top-right-radius: 30px;
    border-top-left-radius: 30px;
    font-size: 13px;
    line-height: 20px;
}
.row{
    width: 85%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}
.col img{
    width: 150px;
}
.col span{
    color: #Ffd700;
}
.col i{
    font-weight: 800;
}
.col{
    flex-basis: 20%;
    padding: 10px;
    box-sizing: border-box;
    text-align: left;
}
.footer-logo{
    width: 80px;
    margin-bottom: 30px;
}
.col h3{
    margin-bottom: 20px;
    position: relative;
    text-align: left;
}
.email-id{
    width: fit-content;
    border-bottom: 1px solid #ccc;
    margin: 20px 0;
    cursor: pointer;
}
.col ul li{
    list-style: none;
    margin-bottom: 12px;
}
.col ul li a{
    text-decoration: none;
    color: #fff;
}
.col iframe{
    width: 1500px;
    height: 250px;
    border: 0;
}
.footer-icon{
    display: flex;
    justify-content: start;
    font-size: 1.2rem;
    gap: 20px;
    margin-top: 10px;
}
hr{
    width: 90%;
    border: 0;
    border-bottom: 1px solid #ccc;
    margin: 20px auto;
}
.copy{
    text-align: center;
}
.underline{
    width: 27%;
    height: 5px;
    background: #767676;
    border-radius: 3px;
    position: absolute;
    top: 25px;
    left: 0;
    overflow: hidden;
}
.underline span{
    width: 15px;
    height: 100%;
    background: #fff;
    border-radius: 3px;
    position: absolute;
    top: 0;
    left: 10px;
    animation: moving 2s linear infinite;
}
@keyframes moving{
    0%{
        left: -20px;
    }
    100%{
        left: 100%;
    }
}


/* ---------------Media------------------------------ */

@media (min-width: 1400px) and (max-width: 1550px){
    .card-container{
        grid-template-columns: repeat(2, 550px);
        gap: 5rem;
    }
    .slide img{ 
        margin-top: 20%;
    }
    .categories-container{
        display: grid;
        grid-template-columns: repeat(3, 1fr); 
    }
    .timeline{
        gap: 30px;
        grid-template-columns: repeat(2 ,600px);  
    }
    .col iframe{
        width:1200px;
        height: 250px;
    }
    
}
@media (min-width: 1200px) and (max-width: 1399px){
    .card-container{
        grid-template-columns: repeat(2, 550px);
        gap: 5rem;
    }
    .slide img{ 
        margin-top: 20%;
    }
    .categories-container{
        display: grid;
        grid-template-columns: repeat(2, 1fr); 
    }
    .timeline{
        gap: 30px;
        grid-template-columns: repeat(2 ,600px);  
    }
    .col iframe{
        width:1100px;
        height: 250px;
        margin-left: -20px;
    } 
}
@media (min-width: 992px) and (max-width: 1200px){
    .menu-icon{
        display: none;
    }
    header{
        justify-content: center;
        padding: 0px 20px;
    }
    .card-container{
        grid-template-columns: repeat(2, 1fr);
        gap: 5rem;
    }
    .slide img{ 
        margin-top: 20%;
    }
    .categories-container{
        display: grid;
        grid-template-columns: repeat(2, 1fr); 
    }
    .timeline{
        gap: 10px;
        grid-template-columns: repeat(2 ,1fr);  
    }
    .col iframe{
        width:1000px;
        height: 250px;
        margin-left: -20px;
    }
    .slider{
        height: 50vh; 
        margin-top: 10%;
    }
    .slide img{
        width: 50%; 
    }
    .slider-content{
        margin-top: 10%;
    } 
}

@media (min-width: 768px) and (max-width: 992px){
    header{
        padding: 0 100px;
    }
    .card-container{
        grid-template-columns: repeat(2, 1fr);
        gap: 5rem;
    }
    .slide img{ 
        margin-top: 20%;
    }
    .slider{
        height: 50vh; 
        margin-top: 10%;
    }
    .slide img{
        width: 50%; 
    }
    .slider-content{
        margin-top: 10%;
    }
    .menu-icon{
        display: block;/* * show menu icon */
    }
    nav{
        display: none;
        position: absolute;
        top: 0;
        right: 0;
        background-color:#fff;
        width: 100%;
        align-items: center;
        padding-top: 30%;
        margin-top: -50px;
        height: 100vh;
        flex-direction: column;
        transition: all 0.3s ease;  
    }
    .nav-logo{
        display: block;
        margin-bottom: 50px;
    }
    .nav-logo img{
        width: 150px;
    }
    .nav-logo span{
        color: #Ffd700;
    }
    .nav-logo i{
        font-weight: 800;
    }
   
    nav.active{
        display: flex;   /* * show navbar when active */
    }
    .close-icon{
        display: block;   /* * show close icon when menu is open */
    }
    .social{
        position: absolute;
        top: 80%;
        display: block;
    }
    .icon{
        font-size: 1.5rem;
    }
    .card-container{
        grid-template-columns: repeat(1, 600px);
        gap: 30px;
    }
    .stats-grid{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }
    .farmer{
        margin-top: 5%;
    }
    .farmer img{
        width: 100px;
        height: 100px;
    }  
    .business-overview{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        padding: 20px 0;
    }
    .categories-container{
        display: grid;
        grid-template-columns: repeat(1, 1fr); 
    }
    .timeline{
        gap: 10px;
        grid-template-columns: repeat(1, 650px);  
    }
    .col iframe{
        width:500px;
        height: 250px;
        margin-left: -20px;
    }  
}

@media (min-width: 600px) and (max-width: 768px){
    header{
        padding: 0 20px;
    }
    .logo{
        margin-top: 40px;
    }
    .logo img{
        width: 100px;
    }
    .menu-icon{
        display: block;/* * show menu icon */
    }
    nav{
        display: none;
        position: absolute;
        top: 0;
        right: 0;
        background-color:#fff;
        width: 100%;
        align-items: center;
        padding-top: 30%;
        margin-top: -50px;
        height: 100vh;
        flex-direction: column;
        transition: all 0.3s ease;  
    }
    .nav-logo{
        display: block;
        margin-bottom: 50px;
    }
    .nav-logo img{
        width: 150px;
    }
    .nav-logo span{
        color: #Ffd700;
    }
    .nav-logo i{
        font-weight: 800;
    }
    nav.active{
        display: flex;   /* * show navbar when active */
    }
    .close-icon{
        display: block;   /* * show close icon when menu is open */
    }
    .social{
        position: absolute;
        top: 80%;
        display: block;
    }
    .icon{
        font-size: 1.5rem;
    }
    .slide img{ 
        margin-top: 20%;
    }
    .slider{
        height: 40vh; 
        margin-top: 20%;
    }
    .slide img{
        width: 60%; 
    }
    .slider-content{
        margin-top: 10%;
    }
    .slider-content h1{
        font-size: 1.4rem;
        margin-bottom: 10px;
    }
    .slider-content p{
        font-size: .9rem;
        margin-bottom: 15px;
    }
    .slider-content a{
        padding: 5px 10px;
    }
    .card-container{
        grid-template-columns: repeat(1, 500px);
        gap: 30px;
    }
    .farmer{
        margin-top: 5%;
    }
    .timeline{
        gap: 10px;
        grid-template-columns: repeat(1, 550px);  
    }
    .col iframe{
        width:230px;
        height: 350px;
        margin-left: -20px;
    }  
    .business-overview{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        padding: 20px 0;
    }
    .categories-container{
        display: grid;
        grid-template-columns: repeat(1, 1fr); 
    }
}


@media (max-width: 600px){
    /* -----Timeline---------- */

    .timeline{
        margin: 50px auto;
    }
    .timeline::after{
        left: 31px;
    }
    .timeline .container{
        width: 100%;
        padding-left: 80px;
        padding-right: 25px;
    }
    .text-box{
        font-size: 13px;
    }    
    .menu-icon{
        display: block;/* * show menu icon */
    }
    nav{
        display: none;
        position: absolute;
        top: 0;
        right: 0;
        background-color:#fff;
        width: 100%;
        align-items: center;
        padding-top: 30%;
        margin-top: -50px;
        height: 100vh;
        flex-direction: column;
        transition: all 0.3s ease;  
    }
    .nav-logo{
        display: block;
        margin-bottom: 50px;
    }
    .nav-logo img{
        width: 150px;
    }
    .nav-logo span{
        color: #Ffd700;
    }
    .nav-logo i{
        font-weight: 800;
    }
    nav.active{
        display: flex;   /* * show navbar when active */
    }
    .close-icon{
        display: block;   /* * show close icon when menu is open */
    }
    .slider{
        height: 40vh; 
        margin-top: 20%;
    }
    .slide img{
        width: 60%; 
    }
    .slider-content{
        margin-top: 10%;
    }
    .slider-content h1{
        font-size: 1.4rem;
        margin-bottom: 10px;
    }
    .slider-content p{
        font-size: .9rem;
        margin-bottom: 15px;
    }
    .slider-content a{
        padding: 5px 10px;
    }
    .card-container{
        grid-template-columns: repeat(1, 500px);
        gap: 30px;
    }
    .farmer{
        margin-top: 5%;
    }
    .timeline{
        grid-template-columns: repeat(1, 600px);
        padding-right:10%;
    }
    .time h2{
        font-size: 2rem;
    }
    .time p{
        display: none;
    }
    .col iframe{
        width:230px;
        height: 350px;
        margin-left: -20px;
    }  
    .business-overview{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        padding: 20px 0;
    }
    .categories-container{
        display: grid;
        grid-template-columns: repeat(1, 1fr); 
    }
    .icon{
        font-size: 1.5rem;
    }
    header{
        padding: 0 20px;
    }
    .logo{
        margin-top: 40px;
    }
    .logo img{
        width: 100px;
    }
}

@media (max-width: 500px){
    .col iframe{
        display: none;
    }
    .card-container{
        grid-template-columns: repeat(1, auto);
        gap: 30px;
    }
    .facility-grid{
        grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    }
    .facility-item img{
        height: 300px;
    }
    .product-categories{
        padding: 50px 0px;
    }
    .product-categories h2{
        font-size: 2rem;
        margin-bottom: 10px;
        color: #193B61;
        font-family: "Edu AU VIC WA NT Pre", serif ;
    }
    .product-categories p{
        font-size: .9rem;
    }
    .category-item{
        padding: 10px 0px;
    }  
    .time h2{
        font-size: 2rem;
    }
    .timeline{
        grid-template-columns: repeat(1 ,450px);
        place-items: center;
    }
    .text-box img{
        height: 250px;
    }
    .card-container{
        grid-template-columns: repeat(1, 350px);
    }
    .card-image{
        width: 200px;
        height: 200px;
    }
}

@media (min-width:350px) and (max-width:450px){
    .logo img{
        width: 100px;
        margin-top: 30px;
    }
    .logo i{
        font-size: .8rem;
    }
    .slider{
        margin-top: 100px;  
    }
    .slide{
        display:flex;
        flex-direction: column;
    }    
    .container h1{
        font-size: 1.3rem;
    }
    .card-container{
        display: grid;
        grid-template-columns: repeat(1, 250px);
    }
    .card-data p,a{
        font-size: .9rem;
    }
    .card-data a{
        font-size:.9rem;
    }
    .stats h2{
        font-size: 2rem;
    }
    .stats p{
        font-size: 1.2rem;
    }
    .stats-grid{
        grid-template-columns: repeat(1, 1fr);
    }
    .stats-item h3{
        font-size: .9rem;
    }
    .stats-item p{
        font-size: .8rem;
    }
    .farmer{
        margin-top: 0%;
    }
    .farmer img{
        width: 100px;
        height: 100px;
    }   
    .stats-card img{
        width: 25px;
        height: 25px;
    }
    .stats-card h2{
        font-size: 20px;
    }
    .product-categories h2{
        font-size: 1.3rem;
    }
    .product-categories p{
        font-size: .8rem;
    }
    .categories-container{
        grid-template-columns: repeat(1,300px);
        padding-left: 25px;
    }
    .category-item h3 a{
        font-size: 1rem;
    }
    .facility-grid{
        grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
    }
    .facility-item img{
        height: 250px;
    }
    
    
}



